Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Dec 2017, 16:42
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Brexit Pup - Released 16th October 2017
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 4 [57 Posts]   Goto page: Previous 1, 2, 3, 4
Author Message
april


Joined: 14 Sep 2013
Posts: 1012
Location: Cairns marina

PostPosted: Wed 25 Oct 2017, 06:57    Post subject:  

Surprised you dont have gMTP which downloads pictures from Android phones.https://github.com/panuhorsmalahti/gMTP

Also I'll need a devx.sfs . Is there one about that fits? Found at
https://drive.google.com/drive/folders/0B_iVVJCd9q09ZG1zX0lIZGVLME0
Also gmtp https://codeload.github.com/panuhorsmalahti/gMTP/zip/master
Also libmtp https://codeload.github.com/mmalecki/libmtp/zip/master
Also libusbhttps://nchc.dl.sourceforge.net/project/libusb/libusb-1.0/libusb-1.0.21/libusb-1.0.21.tar.bz2

Compiled and loads OK on here

Last edited by april on Wed 25 Oct 2017, 18:14; edited 3 times in total
Back to top
View user's profile Send private message Yahoo Messenger 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Wed 25 Oct 2017, 08:33    Post subject: Brexit Pup - Released 16th October 2017  

@ april.

Call me old fashioned, but I do not actually possess a smartphone.
The menu entry "Applications/Filesystem/Connect Your Android Phone" may be what
you seek. It points at a script /usr/sbin/mtpdevice

There is a link to the devx in the reply to pp4mnklinux on the previous page.

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 1012
Location: Cairns marina

PostPosted: Wed 25 Oct 2017, 16:57    Post subject:  

mtpdevice does not run
Code:

root# ./mtpdevice
./mtpdevice: line 29: notify-send: command not found
root#

Back to top
View user's profile Send private message Yahoo Messenger 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Thu 26 Oct 2017, 04:28    Post subject: Brexit Pup - Released 16th October 2017  

Hi april,

I have seen your edit to your last but one post and you seem to have created a working alternative to
the non-working Android script included by the current WoofCE. Very well done. Smile

I will take a look at that script to see whether I can fathom out what the issue is.
Have you yet had the chance to disable the Chrome silent_launch script as I suggested
on the previous page and if so with what results?

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Thu 26 Oct 2017, 11:32    Post subject: Brexit Pup - Released 16th October 2017  

Hi april,

I have now had a look at the script /usr/sbin/mtpdevice and concentrated first on getting notify-send working.
That requires additional items installing via PPM : (These only total a few MB)

    libwnck-3-0_3.14.1-2|Window Navigator Construction Kit - runtime files
    libwnck-3-common_3.14.1-2|Window Navigator Construction Kit - common files
    notify-osd_0.9.35+16.04.20160415|daemon that displays passive pop-up notifications
    libnotify-bin_0.7.6-2svn1|sends desktop notifications to a notification daemon Utilities

So ....... notify-osd plus its deps & libnotify-bin

(I have uploaded a couple of screenshots to a new "mtp Screenshot" folder" )

https://drive.google.com/drive/folders/0B_iVVJCd9q09YmNRbVJCcVJkSXM?usp=sharing

Then launching from the menu item "Connect Your Android Phone", a message popped up "go-mtpfs is not installed"
That is generated by line 46 of the script which is a dependency check just prior to launching the GUI.

That plus it's deps totals 189 MB which brought me to a halt as even if I was happy to install that quantity
I could not test any further without an Android Phone.

This post therefore is a starting point for anyone who is motivated enough to press on.

It may be that simple e-mails or Google-Drive would suit some people for exchanging info between
PC & Smartphone depending on the quantity to be exchanged and whether the connection is metered or not.

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3151
Location: wales

PostPosted: Thu 26 Oct 2017, 16:45    Post subject:  

hi ETP,

xenialpup has 01mickos mtp_phone_connect if you haven't removed it
menu>>filesystem>>connect your android phone
it should popup a dialog when an MTP device is connected

works here with various android devices

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Fri 27 Oct 2017, 03:50    Post subject: Brexit Pup - Released 16th October 2017  

Hi 666philb & april,

@ 666philb,

Thanks for your post; it is good to see you back in the saddle.
Firstly we are all discussing the same thing here, 01mickos mtp_phone_connect package and in particular
the mtpdevice script called by the menu entry/desktop file.

In the case of Brexit Pup however, we are seeing totally different outcomes with that script generating
notify-send errors unless additional packages are installed as above followed by line 46 calling for
"go-mtpfs" to be installed. For you it is working.

Fully awake this morning I have a theory as to why that is the case.

Brexit uses f2fs and I speculate that it is not recognised by the mtp package which sees it and assumes that
it is some sort of mtp store which it needs the go-mtpfs stuff to make sense of.
The missing Notify-osd plus its deps & libnotify-bin do however seem to be needed for totally correct operation of the package.

@ april,

In order to test the above theory could you please download & test with 666philb's Xenialpup64 7.0.8.6 ISO : beta (issued 26/10/2017)
which contains the identical files.

If 7.0.8.6 works with your Android Phone you then have the option of sticking with that or if you wish to continue
with Brexit I will detail how to switch over to ext2 or non-journaled ext4 on the 3rd partition of the stick.

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Sun 29 Oct 2017, 16:40    Post subject: Brexit Pup - Released 16th October 2017
Subject description: Revised Get Latest 64-bit Google Chrome Pet
 

A new improved pet is attached. Some redundant code has been removed and the wrapper
script simplified to give a slightly faster boot.

1. Use PPM to uninstall your existing pet.

2. Install then use the attached revised pet. ( GetLatest64bitChromeVersion-MK11 ) to upgrade to version 62.0.3202.75 issued on 26th October.

The MK11 pet is suitable for recent 64-bit Ubuntu (WoofCE) based Pups such as Brexit.
It should also work with BarryK's (WoofQ) based Quirky Xerus64 8.3 and Easy Linux 0.6
GetLatest64bitChromeVersion-MK11.pet
Description  GetLatest64bitChromeVersion-MK11.pet
pet

 Download 
Filename  GetLatest64bitChromeVersion-MK11.pet 
Filesize  64.54 KB 
Downloaded  24 Time(s) 

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 1012
Location: Cairns marina

PostPosted: Thu 09 Nov 2017, 01:04    Post subject:  

Having booted and watched this Pups performance probably 40 odd times now , I am of the opinion that it runs quite satisfactorily on lesser processors.

The problem is the browser -both of them

Someone has introduced a spyware program in there that just stalls the loading until it has finished uploading ,presumably, all of your data that they want.

Not good . I would suggest you uninstall both and use Seamonkey -Just as good and safer and smaller.
Back to top
View user's profile Send private message Yahoo Messenger 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Thu 09 Nov 2017, 15:38    Post subject: Brexit Pup - Released 16th October 2017  

Hi april,

I can assure you that the slowness of both browsers (Pale Moon & Google Chrome) has nothing to do with "spyware".
Spyware by it's very nature does nothing to draw attention to itself. It just quietly harvests your data.

Both browsers are modern and all of them tend to a greater or lesser degree, to collect statistical data which is
subsequently uploaded without impacting upon performance.

Chrome is a direct download from --- https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
Pale Moon was part of the WoofCE build.

It would appear that either your hardware or internet connection is not up to the task of running those browsers.

You will hopefully see that from the quick unlisted YouTube video which I made today.
( Once the video appears double left click it to go full-screen. )

https://www.youtube.com/watch?v=prWGBxJCS8s&feature=youtu.be

:

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 1012
Location: Cairns marina

PostPosted: Tue 14 Nov 2017, 04:42    Post subject: Re: Brexit Pup - Released 16th October 2017  

ETP wrote:
Hi april,
I can assure you that the slowness of both browsers (Pale Moon & Google Chrome) has nothing to do with "spyware".
Spyware by it's very nature does nothing to draw attention to itself. It just quietly harvests your data.
:


Well now that's not how I see it .
They can summarise the data on your machine in the background but ...It has to get uploaded somehow and most upload speeds are a lot slower than downloads . So the program sits there waiting as its sending and if it can't "interupt" out then it will slow everything . That's what it looks like here.
I could be wrong ...I often am.
Back to top
View user's profile Send private message Yahoo Messenger 
ETP


Joined: 19 Oct 2010
Posts: 1031
Location: UK

PostPosted: Tue 14 Nov 2017, 12:43    Post subject: Brexit Pup - Released 16th October 2017  

Hi april,

I think that we are going to have to agree to differ on the "spyware" topic.

For the benefit of anyone following this thread I would stress again that Brexit IMHO, really requires a minimum of an i3 CPU or the AMD equivalent.

If using it on lesser spec kit as is @april, I have already made 2 suggestions to improve matters but since my last post have now also tested
a Brexit USB2 stick with a lower spec Samsung NC110 netbook from 2011:

10.1 in 1,024x600 display, 1.2kg, 1.5GHz Intel Atom N550 (dual core with hyper threading so appears to the OS as a quad core), 2.00GB RAM, 250GB disk.

That was obviously slower than my mid range i5 but acceptable until I hit web pages full of graphical adverts when it slowed to a crawl.
In general low spec CPUs go hand in glove with poor graphics rendering abilities.

On page 2 of new tab in Chrome there is a link to speedtest.net
That is a classic example of such a site as it downloads about 14 intensive graphic adverts which it then rotates in groups of 4 or 5.
Even on my i5 that takes a few seconds before it settles down so that you can perform a realistic broadband speed test.
It is likely that the site relies entirely on advert click revenue for it's existence.

On the Samsung in Chrome that took about 2 minutes to settle !!!!!!!!

The solution in Chrome was to install the AdBlock 3.20.0 extension just using it's default settings.

https://chrome.google.com/webstore/detail/adblock/gighmmpiobklfepjocnamgkkbiglidom?utm_source=chrome-app-launcher-info-dialog

It is very easy to carry out a before and after test and other sites such as YouTube clearly benefited.
http://www.speedtest.net/

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 4 [57 Posts]   Goto page: Previous 1, 2, 3, 4
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1565s ][ Queries: 14 (0.0554s) ][ GZIP on ]